From 95fa0242906f39467d656ea1a02e4cd3ea50cead Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 16 Apr 2021 00:14:30 -0500
Subject: [PATCH 25/27] then / remain / pivot

d2d8a229bc58a2014dce1c7a4fcdb6c5ab9fb8da
---
 src/backend/executor/nodeIncrementalSort.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/backend/executor/nodeIncrementalSort.c b/src/backend/executor/nodeIncrementalSort.c
index 459c879f0b..18f246a823 100644
--- a/src/backend/executor/nodeIncrementalSort.c
+++ b/src/backend/executor/nodeIncrementalSort.c
@@ -661,9 +661,9 @@ ExecIncrementalSort(PlanState *pstate)
 			/*
 			 * We're in full sort mode accumulating a minimum number of tuples
 			 * and not checking for prefix key equality yet, so we can't
-			 * assume the group pivot tuple will reamin the same -- unless
+			 * assume the group pivot tuple will remain the same -- unless
 			 * we're using a minimum group size of 1, in which case the pivot
-			 * is obviously still the pviot.
+			 * is obviously still the pivot.
 			 */
 			if (nTuples != minGroupSize)
 				ExecClearTuple(node->group_pivot);
@@ -1162,7 +1162,7 @@ ExecReScanIncrementalSort(IncrementalSortState *node)
 	}
 
 	/*
-	 * If chgParam of subnode is not null, theni the plan will be re-scanned
+	 * If chgParam of subnode is not null, then the plan will be re-scanned
 	 * by the first ExecProcNode.
 	 */
 	if (outerPlan->chgParam == NULL)
-- 
2.17.0

